Skip to content
Permalink
Browse files
CB-9046 - cordova run ios --emulator --target "iPhone-5, 7.1" (target…
… with runtime) does not work
  • Loading branch information
shazron committed May 19, 2015
1 parent 01a5a91 commit df6929f83316f41bdd4b539fe5fdd54c28e187bc
Showing with 1 addition and 1 deletion.
  1. +1 −1 bin/templates/scripts/cordova/lib/run.js
@@ -50,7 +50,7 @@ module.exports.run = function (argv) {
// Valid values for "--target" (case sensitive):
var validTargets = ['iPhone-4s', 'iPhone-5', 'iPhone-5s', 'iPhone-6-Plus', 'iPhone-6',
'iPad-2', 'iPad-Retina', 'iPad-Air', 'Resizable-iPhone', 'Resizable-iPad'];
if (!(args.device) && args.target && validTargets.indexOf(args.target) < 0 ) {
if (!(args.device) && args.target && validTargets.indexOf(args.target.split(',')[0]) < 0 ) {
return Q.reject(args.target + ' is not a valid target for emulator');
}

0 comments on commit df6929f

Please sign in to comment.